# Define the kmod package name here.
%define kmod_name r8169

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %define kversion 2.6.32-279.el6.%{_target_cpu}}

Name:    %{kmod_name}-kmod
Version: 6.019.00
Release: 1%{?dist}
Group:   System Environment/Kernel
License: GPLv2
Summary: %{kmod_name} kernel module(s)
URL:     http://www.realtek.com.tw/

BuildRequires: redhat-rpm-config
ExclusiveArch: i686 x86_64

# Sources.
Source0:  %{kmod_name}-%{version}.tar.bz2
Source5:  GPL-v2.0.txt
Source10: kmodtool-%{kmod_name}-el6.sh
Source20: ELRepo-Makefile-%{kmod_name}

# Magic hidden here.
%{expand:%(sh %{SOURCE10} rpmtemplate %{kmod_name} %{kversion} "")}

# Disable the building of the debug package(s).
%define debug_package %{nil}

%description
This package provides the %{kmod_name} kernel modules for Realtek RTL8169, RTL8169SB(L),
RTL8169SC(L), RTL8110S-32, RTL8110SB(L) and RTL8110SC(L) Gigabit Ethernet controllers
with the PCI-Express interface.
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the Linux kernel and not on any one specific build.

%prep
%setup -q -n %{kmod_name}-%{version}
%{__rm} -f %{kmod_name}/src/Makefile*
%{__cp} -a %{SOURCE20} %{kmod_name}/src/Makefile
echo "override %{kmod_name} * weak-updates/%{kmod_name}" > kmod-%{kmod_name}.conf

%build
KSRC=%{_usrsrc}/kernels/%{kversion}
%{__make} -C "${KSRC}" %{?_smp_mflags} modules M=$PWD/%{kmod_name}/src

%install
export INSTALL_MOD_PATH=%{buildroot}
export INSTALL_MOD_DIR=extra/%{kmod_name}
KSRC=%{_usrsrc}/kernels/%{kversion}
%{__make} -C "${KSRC}" modules_install M=$PWD/%{kmod_name}/src
%{__install} -d %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} kmod-%{kmod_name}.conf %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} -d %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{SOURCE5} %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{kmod_name}/readme %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} release_note_%{kmod_name}.txt %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
# Set the module(s) to be executable, so that they will be stripped when packaged.
find %{buildroot} -type f -name \*.ko -exec %{__chmod} u+x \{\} \;
# Remove the unrequired files.
%{__rm} -f %{buildroot}/lib/modules/%{kversion}/modules.*

%clean
%{__rm} -rf %{buildroot}

%changelog
* Wed Oct 08 2014 Alan Bartlett <ajb@elrepo.org> - 6.019.00-1
- Updated to version 6.019.00

* Wed May 30 2012 Alan Bartlett <ajb@elrepo.org> - 6.017.00-1
- Updated to version 6.017.00

* Thu Feb 09 2012 Alan Bartlett <ajb@elrepo.org> - 6.016.00-1
- Updated to version 6.016.00

* Tue Jul 19 2011 Alan Bartlett <ajb@elrepo.org> - 6.015.00-1
- Updated to version 6.015.00

* Fri Nov 26 2010 Alan Bartlett <ajb@elrepo.org> - 6.013.00-1
- Initial el6 build of the kmod package.
